PHP 手册
后退 |  | 前进

# DomElement->set_attribute()

(no version information, might be only in CVS)

DomElement->set_attribute() -- Sets the value of an attribute

## 说明

class DomElement {
DomAttribute set_attribute ( string name, string value )
}

Sets an attribute with name name to the given value.

## 参数

name

  The name of the attribute. If this attribute doesn't exist, it will be created.

value

  The value of the attribute.

## 返回值

Returns the old DomAttribute node, or the new one if you are creating the attribute for the first time.

## 范例

例子 1. Setting an attribute

`<?php $doc = domxml_new_doc("1.0"); $node = $doc->create_element("para"); $newnode = $doc->append_child($node); $newnode->set_attribute("align", "left"); ?>`

## Migrating to PHP 5

Use DOMElement->setAttribute().

## 参见

DomElement->get_attribute_node()
DomElement->get_attribute()

后退 | 起点 | 前进
DomElement->remove_attribute() | 上一级 | DomElement->tagname()